com.intellectualcrafters.plot.events

## Class PlayerPlotTrustedEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - com.intellectualcrafters.plot.events.PlayerPlotTrustedEvent

-     public class PlayerPlotTrustedEvent
      extends org.bukkit.event.Event

  Created by Citymonstret on 2014-08-16.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bukkit.event.Event

      `org.bukkit.event.Event.Result`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayerPlotTrustedEvent(org.bukkit.entity.Player initiator, Plot plot, java.util.UUID player, boolean added)` PlayerPlotTrustedEvent: Called when a plot trusted user is added/removed

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.bukkit.event.HandlerList` | `getHandlerList()`
    `org.bukkit.event.HandlerList` | `getHandlers()`
    `org.bukkit.entity.Player` | `getInitiator()` The player initiating the action
    `java.util.UUID` | `getPlayer()` The UUID added/removed
    `Plot` | `getPlot()` The plot involved
    `boolean` | `wasAdded()` If a player was added

    - ### Methods inherited from class org.bukkit.event.Event

      `getEventName, isAsynchronous`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlayerPlotTrustedEvent

          public PlayerPlotTrustedEvent(org.bukkit.entity.Player initiator,
                                Plot plot,
                                java.util.UUID player,
                                boolean added)

      PlayerPlotTrustedEvent: Called when a plot trusted user is added/removed
      Parameters:
        `initiator` -
        `plot` -
        `player` -
        `added` -

  - ### Method Detail

    - #### getHandlerList

          public static org.bukkit.event.HandlerList getHandlerList()

    - #### wasAdded

          public boolean wasAdded()

      If a player was added
      Returns:
        boolean

    - #### getPlayer

          public java.util.UUID getPlayer()

      The UUID added/removed
      Returns:
        UUID

    - #### getPlot

          public Plot getPlot()

      The plot involved
      Returns:
        Plot

    - #### getInitiator

          public org.bukkit.entity.Player getInitiator()

      The player initiating the action
      Returns:
        Player

    - #### getHandlers

          public org.bukkit.event.HandlerList getHandlers()

      Specified by:
        `getHandlers` in class `org.bukkit.event.Event`